%define python_version %(python -c 'import sys; print sys.version[:3]')

Summary: Embeddable database
Name: metakit
Version: 2.4.9.5
Release: 3%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.equi4.com/metakit/
Source: http://www.equi4.com/pub/mk/metakit-%{version}.tar.gz
Patch0: metakit-2.4.9.3-64bit.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tcl, python
BuildRequires: tcl-devel, python-devel
BuildRequires: autoconf, automake, libtool

%description
MetaKit is an embeddable database which runs on Unix, Windows,
Macintosh, and other platforms. It lets you build applications which
store their data efficiently, in a portable way, and which will not
need a complex runtime installation. In terms of the data model,
MetaKit takes the middle ground between RDBMS, OODBMS, and flat-file
databases - yet it is quite different from each of them.


%package devel
Summary: Header files and development documentation for metakit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and development documentation for metakit.


%prep
%setup -q
%patch0 -p1 -b .64bit


%build
pushd unix
    %configure \
        --with-python="%{_includedir}/python%{python_version},%{_libdir}/python%{python_version}" \
        --with-tcl
    %{__make} %{?_smp_mflags}
popd


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/python%{python_version}/site-packages/
%{__make} install -C unix DESTDIR=%{buildroot}

# Put python module back into place
%{__mv} %{buildroot}%{_libdir}/python%{python_version}/*.* \
        %{buildroot}%{_libdir}/python%{python_version}/site-packages/


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc README
%{_libdir}/*.so
%{_libdir}/python%{python_version}/site-packages/Mk4py.so
%{_libdir}/python%{python_version}/site-packages/metakit.py*
%{_prefix}/lib/tcl*/Mk4tcl/


%files devel
%defattr(-, root, root, 0755)
%doc CHANGES doc/*
%{_includedir}/*


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.5-3
- FC6 rebuild.
- Remove gcc-c++ build requirement, it's a default.
- Require exact release in the devel sub-package.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.5-2
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.5-1
- Update to 2.4.9.5.
- Remove no longer nostrip patch.

* Thu May 26 2005 Matthias Saou <http://freshrpms.net/> 2.4.9.3-8
- Move libraries back to _libdir (why lib32dir in the first place?) (#158586)
- Move python module into site-packages/.
- Disable stripping of the lib and the python module lib.

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 2.4.9.3-7
- fix for 64bit problems; initial patch from Ignacio, more from me (#159460)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.4.9.3-6
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.9.3-5
- rebuilt

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-4
- Bump release to provide Extras upgrade path.

* Tue Aug 24 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-3
- Add explicit dependency on tcl, as the bindings are in a directory created by
  this package, whereas the tcl package creates symlinks instead (clash).

* Mon Jul 18 2004 Dag Wieers <dag@wieers.com> - 2.4.9.3-2
- Added tcl and python libraries.

* Thu May 20 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-2
- Rebuild for Fedora Core 2.

* Sun May 16 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-1
- Updated to release 2.4.9.3.

* Fri Nov 14 2003 Matthias Saou <http://freshrpms.net/> 2.4.9.2-3
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.4.9.2.
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Wed Dec  4 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release, based on PLD spec file.

